<?php
namespace Mirasvit\Seo\Block\Adminhtml\Duplicateinfo\Grid;

/**
 * Interceptor class for @see \Mirasvit\Seo\Block\Adminhtml\Duplicateinfo\Grid
 */
class Interceptor extends \Mirasvit\Seo\Block\Adminhtml\Duplicateinfo\Grid implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Widget\Context $context, \Magento\Backend\Helper\Data $backendHelper, \Magento\UrlRewrite\Model\ResourceModel\UrlRewriteCollection $urlRewrite, \Mirasvit\Seo\Model\Removecategorypath\Validate $validate, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $backendHelper, $urlRewrite, $validate, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
